package com.ruoyi.traceability.mapper;

import java.util.List;
import com.ruoyi.traceability.domain.ProLogrecord;

/**
 * 机台日志Mapper接口
 * 
 * @author wenjy
 * @date 2022-12-01
 */
public interface ProLogrecordMapper 
{
    /**
     * 查询机台日志
     * 
     * @param id 机台日志主键
     * @return 机台日志
     */
    public ProLogrecord selectProLogrecordById(Long id);

    /**
     * 查询机台日志列表
     * 
     * @param proLogrecord 机台日志
     * @return 机台日志集合
     */
    public List<ProLogrecord> selectProLogrecordList(ProLogrecord proLogrecord);

    /**
     * 新增机台日志
     * 
     * @param proLogrecord 机台日志
     * @return 结果
     */
    public int insertProLogrecord(ProLogrecord proLogrecord);

    /**
     * 修改机台日志
     * 
     * @param proLogrecord 机台日志
     * @return 结果
     */
    public int updateProLogrecord(ProLogrecord proLogrecord);

    /**
     * 删除机台日志
     * 
     * @param id 机台日志主键
     * @return 结果
     */
    public int deleteProLogrecordById(Long id);

    /**
     * 批量删除机台日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProLogrecordByIds(String[] ids);
}
